import { CoreEntity } from "src/core/core.entity";
import { Entity, Column } from "typeorm";

@Entity('newsletter_cms')
export class NewsletterCms extends CoreEntity {
    @Column({ default: null, nullable: true })
    title: string;

    @Column({ default: "https://golden-gal.nyc3.cdn.digitaloceanspaces.com/default_cms.png", nullable: true })
    image: string;

    @Column({ default: null, nullable: true })
    emailTtile: string;

    @Column({ default: null, nullable: true })
    emailPlaceHolderText: string;

    @Column({ default: null, nullable: true })
    buttonText: string;
}
