import { CoreEntity } from "src/core/core.entity";
import { Entity, Column } from "typeorm";

@Entity('style_page_section_five_cms')
export class StylePageSectionFiveCms extends CoreEntity {
    @Column({ default: null, nullable: true })
    sectionTitle: string;

    @Column({ default: null, nullable: true })
    buttonText: string;

    @Column({ default: "https://golden-gal.nyc3.cdn.digitaloceanspaces.com/default_cms.png", nullable: true })
    imageOne: string;

    @Column({ default: null, nullable: true })
    imageOneTitle: string;

    @Column({ default: null, nullable: true })
    imageOneLink: string;

    @Column({ default: "https://golden-gal.nyc3.cdn.digitaloceanspaces.com/default_cms.png", nullable: true })
    imageTwo: string;

    @Column({ default: null, nullable: true })
    imageTwoTitle: string;

    @Column({ default: null, nullable: true })
    imageTwoLink: string;

    @Column({ default: "https://golden-gal.nyc3.cdn.digitaloceanspaces.com/default_cms.png", nullable: true })
    imageThree: string;

    @Column({ default: null, nullable: true })
    imageThreeTitle: string;

    @Column({ default: null, nullable: true })
    imageThreeLink: string;
}
