import { IsEmpty, IsNotEmpty } from "class-validator";

export class CreateCardInformationDto {
    @IsNotEmpty()
    name: string;

    @IsEmpty()
    userId: string;

    @IsEmpty()
    userType: string;

    @IsNotEmpty()
    ccNum: string;

    @IsNotEmpty()
    ccExp: string;

    @IsNotEmpty()
    cvv: string;

    @IsEmpty()
    isDefault: boolean;
}
