import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity('contact-message')
export class ContactMessage extends CoreEntity {
    @Column()
    name: string;

    @Column()
    email: string;

    @Column()
    phone: string;

    @Column()
    website: string;

    @Column({ nullable: true })
    method: string;

    @Column()
    message: string;
}
