import { CoreEntity } from "src/core/core.entity";
import { Column, Entity, JoinColumn, ManyToOne } from "typeorm";
import { Product } from "../../product/entity/product.entity";

@Entity('product_material_variants')
export class ProductMaterialVariants extends CoreEntity {
    @Column()
    productId: string;

    @Column()
    productName: string;

    @Column()
    materialId: string;

    @Column()
    materialName: string;

    @ManyToOne(() => Product)
    @JoinColumn({ name: 'productId', referencedColumnName: "id" })
    product: Product;
}
