import { CoreEntity } from "src/core/core.entity";
import { Entity, Column } from "typeorm";

@Entity('product_page_cms')
export class ProductPageCms extends CoreEntity {
    @Column({ default: null, nullable: true })
    pageTitle: string;

    @Column({ default: null, nullable: true })
    pageSubTitle: string;

    @Column({ default: null, nullable: true })
    headerTitle: string;

    @Column({ default: null, nullable: true })
    headerSubTitle: string;

    @Column({ default: "https://golden-gal.nyc3.cdn.digitaloceanspaces.com/default_cms.png", nullable: true })
    discountImage: string;
}
