import { Module } from '@nestjs/common';
import { NewsletterSubscriberService } from './newsletter-subscriber.service';
import { NewsletterSubscriberController } from './newsletter-subscriber.controller';
import { NewsletterSubscriberRepository } from './newsletter-subscriber.repository';
import { TypeOrmModule } from '@nestjs/typeorm/dist/typeorm.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([NewsletterSubscriberRepository]),
  ],
  controllers: [NewsletterSubscriberController],
  providers: [NewsletterSubscriberService]
})
export class NewsletterSubscriberModule {}
