import { CoreEntity } from "src/core/core.entity";
import { Column, Entity, OneToMany } from "typeorm";
import { Product } from "../../product/entity/product.entity";

@Entity('product_child_category')
export class ProductChildCategory extends CoreEntity {
    @Column()
    name: string;

    @Column()
    subCategoryId: string;

    @Column()
    subCategoryName: string;

    @Column()
    parentCategoryId: string;

    @Column()
    parentCategoryName: string;

    @OneToMany(() => Product, product => product.childCategoryId)
    products: Product[];
}
